package com.fshark.overseas.advert.modle.metrics;

import lombok.Data;

@Data
public class EventMetrics {

    public EventMetrics(){}

    /**
     * 日期 20190228
     */
    private Long dataDate = -1L;

    /**
     * 时区 +0900
     */
    private String timeZone;

    /**
     * 韩国KR, 香港 HK, 台湾 TW, 其它：-1，或者其它值
     */
    private String region;

    /**
     * 媒体平台 googleadwords_int
     */
    private String mediaSource;

    /**
     * 平台 Android|IOS
     */
    private String platform;

    /**
     * 游戏ID bundle_id, com.edgames.new19gp
     */
    private String gameId;

    /**
     * 广告系列ID 23843308705120641
     */
    private String campaignId;

    /**
     * eventname
     */
    private String event_name;

    private Long event_date;

    /**
     * 发生次数
     */
    private Long times;

    private String keys;

    public String getKeys() {
        return String.format("%s|%s|%s|%s|%s|%s|%s|%s",dataDate,timeZone,region,mediaSource,platform,gameId,campaignId,event_name);
    }

}
